version: 2.0

lockdown: false
lockdown-reason: ""

auto-dupeip: false

history-expirey-minutes: 10080 #1 week.

#Warnings config section
warnings:
    #How long should warnings take to 'expire'?
    #Set to 0 for never (...Honestly, I believe you should forgive them after a month at most...)
    expirey-in-minutes: 4320
    # This section looks scary, but really isn't... If you're scared,
    # Just read the actual stuff and skip the comments unless you want to do some tricky things.
    
    #What actions should we take when a player receives a warning?
    #Format is like:
    #<number of warnings>: 'commands to execute;seperated by semicolons'
    #Examples:
    #actions:
    #   1: 'msg {name} You have been warned!'
    #   2: 'strike {name};msg {name} You have angered Zeus!'
    #   3: 'gtempban {name} 1 hour Reached Max Warnings. Reasons:\n{reasons}\nBy: {banner}'
    #Variables allowed:
    #{name} the name of the player
    #{ip} the last known IP of the player
    #{reason} the last reason the player was warned
    #{reasons} all the reasons (seperated by new lines) for this punishment. Example:
    #Reason1: "Griefing"
    #Reason2: "Spamming"
    #Reason3: "Begging for items"
    #Now, if I did
    #3: 'tempban {name} 1 hour Reached Max Warnings:\n{reasons}'
    #it would disconnect the user with this message:
    #-------------------------------------
    #You have been Temporarily Banned for:
    #'Reached Max Warnings:
    #Griefing
    #Spamming
    #Begging for items'
    #By Console. Expires in 1 hour
    #-------------------------------------
    #If the command starts with a /, then the banner will execute the command
    #Otherwise, the command will be executed by CONSOLE.
    #You might want to use -s in these commands (To stop them broadcasting messages to players)
    actions:
        2: '/gkick {name} Final Warning: \n{reason}'
        3: '/gtempban {name} 1 hour Reached Max Warnings:\n{reasons}'
    #After receiving this many warnings, they will be all deleted.
    #If 'actions' has an action for a number higher than this, then the action will never be
    #done... Because this resets it to 0
    #If you set this to <= 0, then it will be ignored, and warnings will never reset.
    max: 3

update:
  #Update types:
  #Default: Perform update checks and automatically download and install the latest version from DevBukkit
  #No_Version_Check: Download and install the latest version, regardless of the currently installed version
  #No_Download: Checks for an update, but will not automatically download the latest version
  #None: Does not check for updates.
  type: NO_DOWNLOAD

#Accepts colorcodes. (v1.2)
default-reason: "Misconduct"
#Appeal-message accepts color codes, like &a and &4... Set it to "" to disable this. Accepts new line characters, just add \n where you want a new line.
appeal-message: "No appeal website set :("

#The two char colors used that STAFF will see.
#Usually, primary = text, and secondary = variables (Like ban reason)
#0-9,a-f are valid. Also any Bukkit ChatColor is valid (Eg RED, AQUA, DARK_GRAY)
color:
    primary: f
    secondary: a
    
    
#This applies to kick, ban, and anything else.
kick-colors:
    #0-9,a-f are valid. Also any Bukkit ChatColor is valid (Eg RED, AQUA, DARK_GRAY)
    reason: f #"Misconduct"
    regular: f #"By"
    banner: f #"Netherfoam"
    time: f #4 hours 59 minutes remaining.


#Some plugins will register their commands before we do (Eg other ban/kick plugins).
#This option allows users to try and force MaxBans to take those already-taken commands.    
override-commands: true

chat-commands:
    - me
    #- say

#Should we notify players with maxbans.notify whenever a banned player tries (fails) to join?
notify: true
#Should we verify names have the letters (A-Z,a-z,0-9 and _) only and are valid?
filter-names: true

#Should we use the DNS blacklist?
dnsbl:
    #Should we use this? Setting it to false disables DNSBL entirely.
    use: true
    #The DNSBL servers we should use to look up.  More servers = Slower results.
    #Each server takes approx 4 seconds to respond.  Use http://dnsbl.info to find
    #More servers, if you like.
    #DNSBL results are cached for 1 week, then expire (Are deleted).
    #This is how MaxBans checks for proxied IPs
    # 1.  Have we looked the IP up on DNSBL before, and has it not expired? If so go to 3
    # 2.  Start IP lookup, this takes a few seconds...
    # 3.  If the IP is not a proxy, stop checking, they're allowed, do not proceed to step 4.
    # 4.  Take appropriate action (Kick, notify) if any.
    servers:
    - bl.spamcop.net
    - sbl.spamhaus.org
    #Should we notify players with maxbans.notify when a player is joining with a proxy IP?
    notify: true
    #Should we kick players who are discovered to have proxy IPs?
    kick: true

bungee: false
# Sync is an advanced feature of MaxBans.
# It only applies to server owners who want to BAN/etc Players using a WEBPAGE, such as PHP Script
# Or owners who want two servers to have the SAME banlist!
# This option is in BETA! I take no responsibility if it breaks, though I will endeaver to fix it.
sync:
    #Should we use Sync? Setting this to false disables it entirely :)
    use: false
    #Is this server the Sync server? Otherwise it's a client.
    server: false
    #The host of the Sync server, if this is a client.
    host: 127.0.0.1
    #The port of the Sync server. 
    port: 2711
    #The password required to join.
    pass: ChangeMeNow
    debug: false

database:
    mysql: false
    user: root
    pass: passwd
    host: localhost
    port: 3306
    name: maxbans
    read-only: false